/********************************************************************
 FileName:    	EEPROM.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    EEPROM header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef EEPROM_H
#define	EEPROM_H

//refer to 24LC01B datasheet
#define EEPROM_SIZE         0x7F
#define EEPROM_WRITE_CMD    0xA0
#define EEPROM_READ_CMD     0xA1

#define ACK_EEPROM          TRUE
#define DONT_ACK_EEPROM     FALSE

/* Function prototypes*/
unsigned char   EEPROM_Read (unsigned char address);
BOOL            EEPROM_Write(unsigned char address, unsigned char new_data);

#endif	/* EEPROM_H */

