/********************************************************************
 FileName:    	RS232.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    RS232 header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef RS232_H
#define	RS232_H

//refer to MCU datasheet for these values
//or Microchip UART document
#define BAUD500K    1
#define BAUD250K    3
#define BAUD115200  8
#define BAUD56000   17
#define BAUD38400   25
#define BAUD19200   51
#define BAUD9600    103

void         RS232_Init  (int baud);
void         RS232_Send  (unsigned int data);
void         RS232_PutStr(unsigned int *string);
unsigned int RS232_Read  (void);

#endif	/* RS232_H */

