/********************************************************************
 FileName:    	aguijon.c
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Global header Support File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef AGUIJON_H
#define	AGUIJON_H

/* Includes Section*/

//Standard C libraries
#include <stdio.h>              //standard C I/O
#include <stdlib.h>             //standard C lib

//Microchip libraries
#include <p24Fxxxx.h>           //processor header file include
#include <GenericTypeDefs.h>    //support for various data types

#include "BSP.h"                //VD Aguijon Board Support Package

#define FCY 16000000UL              //16MHz is our work frequency
#include <libpic30.h>               //MCHP delay Library
#define delayms(x)  __delay_ms(x);  //global delayms function
#define delayus(x)  __delay_us(x);  //global delayus function



#define HAMMERHEAD_VERSION "1.5.1"

#if defined(AGUIJON_REV_4)
    #define HARDWARE_PLATFORM "Aguijon [PRO] rev4.0"
#elif defined(AGUIJON_REV_3)
    #define HARDWARE_PLATFORM "Aguijon rev3.0"
#endif


#endif	/* AGUIJON_H */
