/********************************************************************
 FileName:    	analog.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Analog header File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef ANALOG_H
#define	ANALOG_H

#define ADC_MAX_VALUE   0x03FF
#define ADC_MIN_VALUE   0x00    

/* Function prototypes*/
void ADC_Init   (void);
int  ADC_Read   (void);
int  ADC_Range  (int min_val, int max_val);

#endif	/* ANALOG_H */

