/********************************************************************
 FileName:    	inputs.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Inputs header file 


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef INPUTS_H
#define	INPUTS_H

#define DIPSW_ENABLE_MSB_CMD    0   //enable MSB nibble (DIP SW)
#define DIPSW_ENABLE_LSB_CMD    1   //enable LSB nibble (DIP SW)
#define DIPSW_DISABLE_CMD       2   //disables DIP SW and leaves keys operational



/*Function prototypes*/
unsigned char   DIPSW_Read  (void); 
void            DIPSW_Config(int );

//single input functions
unsigned char   SW_Read     (void);
unsigned char   IN_Read     (void);
//port functions
unsigned char   SW_ReadPort (void);
unsigned char   IN_ReadPort (void);

#endif	/* INPUTS_H */

