/********************************************************************
 FileName:    	realtime.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    rtcc header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef REALTIME_H
#define	REALTIME_H

/*
0000 = Every half second
0001 = Every second
0010 = Every 10 seconds
0011 = Every minute
0100 = Every 10 minutes
0101 = Every hour
0110 = Once a day
0111 = Once a week
1000 = Once a month
1001 = Once a year (except when configured for February 29th, once every 4 years)
101x = Reserved ? do not use
11xx = Reserved ? do not use*/

#define RTCC_ALRM_HALF_SEC   0
#define RTCC_ALRM_1_SEC      1
#define RTCC_ALRM_10_SEC     2
#define RTCC_ALRM_1_MIN      3
#define RTCC_ALRM_10_MIN     4
#define RTCC_ALRM_1_HOUR     5
#define RTCC_ALRM_1_DAY      6
#define RTCC_ALRM_1_WEEK     7
#define RTCC_ALRM_1_MONTH    8
#define RTCC_ALRM_1_YEAR     9


inline void RTCC_Enable (void);
inline void RTCC_Disable(void);
void        RTCC_Init   (void);

#endif	/* REALTIME_H */

